WCSCMP(3P)

NAME
wcscmp - compare two wide-character strings

SYNOPSIS

#include <wchar.h>

int wcscmp(const wchar_t *ws1, const wchar_t *ws2);

DESCRIPTION

The wcscmp() function shall compare the wide-character string pointed to by ws1 to the wide-character string pointed to by ws2.

The sign of a non-zero return value shall be determined by the sign of the difference between the values of the first pair of wide-character codes that differ in the objects being compared.

RETURN VALUE

Upon completion, wcscmp() shall return an integer greater than, equal to, or less than 0, if the wide-character string pointed to by ws1 is greater than, equal to, or less than the wide-character string pointed to by ws2, respectively.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

wcsncmp() , the Base Definitions volume of IEEE Std 1003.1-2001, <wchar.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .